import { TemplateRef } from '@angular/core';
import { Nullable } from '@fundamental-ngx/cdk/utils';
import { TabItemState } from '../tab-item/tab-item.directive';
import { TabPanelComponent } from '../tab-panel/tab-panel.component';
/** @hidden */
export declare class TabInfo {
    /** Whether the tab is active */
    active: boolean;
    /** @hidden Width of the tab header */
    headerWidth: number;
    /** Corresponding tab panel */
    panel: TabPanelComponent;
    /** @hidden */
    constructor(tabPanel: TabPanelComponent);
    /** Tab header title */
    get title(): Nullable<string>;
    /** Whether the tab is disabled */
    get disabled(): boolean;
    /** Whether the tab is tab header */
    get isHeader(): boolean;
    /** @hidden */
    get id(): Nullable<string>;
    /** @hidden */
    get ariaLabel(): Nullable<string>;
    /** @hidden */
    get ariaLabelledBy(): Nullable<string>;
    /** @hidden */
    get tabState(): Nullable<TabItemState>;
    /** @hidden */
    get titleTemplate(): TemplateRef<any>;
    /** @hidden */
    get count(): Nullable<string>;
    /** @hidden */
    get glyph(): string;
    /** @hidden */
    get forcedVisibility(): boolean;
    /** @hidden */
    get panelId(): string;
}
